CreateSNSPluginPlatform
CreateSNSPluginPlatform
POST
/zstack/v1/sns/application-platforms/pluginOperation ID
CreateSNSPluginPlatformSince
5.5.38Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe platform name.
descriptionStringOptional. The platform description.
pluginDriverUuidStringRequiredThe UUID of the loaded SNS EndpointDriver, which must support SEND_SNS_MESSAGE.
propertiesMapOptional. The fields declared in the driver's optionTypes. If the driver declares required fields, they must be provided.
resourceUuidStringOptional. The resource UUID.
tagUuidsListOptional. The tag UUID list.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
